package Configuration

// Configuration
type Configuration struct {
	Domain         string
	TLSCertificate string
	TLSKey         string
	FileServer     FileServerConfiguration
}

// File Server Configuration
type FileServerConfiguration struct {
	Active bool
	Routes []RoutesFileServerConfiguration
}

// Routes File Server Configuration
type RoutesFileServerConfiguration struct {
	ResourcePath string
	ServePath    string
}
