# Make Directory
mkdir ./build

# linux 386
printf "Compiling linux-386 : "
GOOS=linux GOARCH=386 go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-386 main.go
printf "Done\n"

# linux amd64
printf "Compiling linux-amd64 : "
GOOS=linux GOARCH=amd64 go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-amd64 main.go
printf "Done\n"

# linux arm
printf "Compiling linux-arm : "
GOOS=linux GOARCH=arm go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-arm main.go
printf "Done\n"

# linux arm64
printf "Compiling linux-arm64 : "
GOOS=linux GOARCH=arm64 go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-arm64 main.go
printf "Done\n"

# linux mips
printf "Compiling linux-mips : "
GOOS=linux GOARCH=mips go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-mips main.go
printf "Done\n"

# linux mips64
printf "Compiling linux-mips64 : "
GOOS=linux GOARCH=mips64 go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-mips64 main.go
printf "Done\n"

# linux mips64le
printf "Compiling linux-mips64le : "
GOOS=linux GOARCH=mips64le go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-mips64le main.go
printf "Done\n"

# linux mipsle
printf "Compiling linux-mipsle : "
GOOS=linux GOARCH=mipsle go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-mipsle main.go
printf "Done\n"

# linux ppc64
printf "Compiling linux-ppc64 : "
GOOS=linux GOARCH=ppc64 go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-ppc64 main.go
printf "Done\n"

# linux ppc64le
printf "Compiling linux-ppc64le : "
GOOS=linux GOARCH=ppc64le go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-ppc64le main.go
printf "Done\n"

# linux riscv64
printf "Compiling linux-riscv64 : "
GOOS=linux GOARCH=riscv64 go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-riscv64 main.go
printf "Done\n"

# linux s390x
printf "Compiling linux-s390x : "
GOOS=linux GOARCH=s390x go build -ldflags "-X main.configurationDirectory=/var/Gover/Configuration" -o ./build/linux-s390x main.go
printf "Done\n"