package Module

// Imports
import (
	"Gover/Configuration"
	"net/http"
)

// Add File Server
func addFileServer(configuration Configuration.Configuration, handler *http.ServeMux) {
	// Check Active
	if configuration.FileServer.Active == true {
		// Route Number
		var routeNumber uint
		// Loop Over Routes
		for routeNumber = 0; routeNumber < uint(len(configuration.FileServer.Routes)); routeNumber++ {
			// Add File Server
			handler.Handle(configuration.Domain+configuration.FileServer.Routes[routeNumber].ServePath, http.StripPrefix(configuration.FileServer.Routes[routeNumber].ServePath, http.FileServer(http.Dir(configuration.FileServer.Routes[routeNumber].ResourcePath))))
		}
	}
}
